import { renderToString } from "react-dom/server";

import { CalculatorApp } from "@/app/components/calculator-app";
import type { Locale } from "@/app/lib/types";

export function render(locale: Locale) {
  return renderToString(
    <CalculatorApp initialLocale={locale} publicLocaleRouting />,
  );
}
